<?php
session_start();

$banco = $_POST['banco'];

require_once 'gerador/SqlServer.php';
require_once 'gerador/MysqlConsulta.php';
require_once 'script_php/conexao.php';
require_once "script_php/conexaoSQL.php";


//conexaoSQLantigo2023.php
$sql = new Sqlserver();

$loja = filter_var( $_POST['loja'], FILTER_SANITIZE_STRING);
$lojaesc = filter_var( $_POST['loja'], FILTER_SANITIZE_STRING);
$quantidade = filter_var( $_POST['quantidade'], FILTER_SANITIZE_STRING);

$ean = filter_var( $_POST['ean'], FILTER_SANITIZE_STRING);
$cod = filter_var( $_POST['cod'], FILTER_SANITIZE_STRING);


$dados = $sql->dadosNfe($quantidade,$loja,$ean);

if($dados) {

}else{
    
    $dados = $sql->dadosNfe($quantidade,$loja,0,$cod);

}



$mysql = new MysqlConsulta();

/*
if ($produdoJaExiste){

   echo 'existe';

}else{

   echo 'nao existe';
}
*/

?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>

<?php include_once 'headerSEMLOAD.php'; ?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Consulta SQL Resultados</title>
    <style>
        table {
            border-collapse: collapse;
            width: 100%;
        }

        th, td {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        th {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>

<span>

QUANTIDADE A SER DEVOLVIDA: <?php echo  ' [ ' .  $quantidade . ' ] ' ; ?> <br>
</span>

<?php
echo '<table >';
echo '<thead>';
echo '<tr>';
echo '<th>COD</th>';
echo '<th>Emissão</th>';
echo '<th>Fornecedor</th>';

// Adicione ou remova colunas conforme necessário

echo '<th>CFOP</th>';
echo '<th>Qt Item</th>';
echo '<th>Qt dev</th>';
echo '<th>Qt cred</th>';
echo '<th>P Unit</th>';
echo '<th>P Total</th>';

echo '<th>ICMS Alíq</th>';
echo '<th> ICMS ITEM</th>';
echo '<th> ICMS TOTAL</th>';
echo '<th>BasICMSST</th>';
echo '<th>ValorICMSST</th>';
echo '<th>Nº Nota</th>';
echo '<th>NFeCH</th>';
echo '<th>Loja</th>';
echo '<th>Base STUnit</th>';
echo '<th>ValorSTUnit</th>';
echo '<th>ST_T_INFORMAR</th>';
echo '<th>ST_UNIT_INFORMAR</th>';

echo '<th title="preco do produto unitario com st = preco total + st / quantidade" >UNT + ST</th>';
echo '<th>CST</th>';
echo '<th>INCLUIR</th>';

echo '</tr>';
echo '</thead>';
echo '<tbody>';

$i=1;
// Iterar sobre os dados e popular a tabela
foreach ($dados as $linha) {

    $produdoJaExiste = $mysql->produtoEspera($conexao,$linha[17]);

    $cmsTotal2 = ($linha[19] / $linha[3]) * $quantidade;
 
    $quantidade1 =  $mysql->buscarProdUsado($conexao,$linha[10],$linha[17]);
    $credito = $linha[3]  - $quantidade1;

    $seChave = $mysql->BuscarChave($conexao,$linha[10]);

    if($i == 1){

    $total2 = $quantidade * $linha[4];

    $valorTotal2 = ($total2 + $linha[15]) / $quantidade;
    $valorTotal3 = str_replace('.', ',', strval($valorTotal2));
    }
    $i++;
?>

<?php
//se o prodotu ja foi informado  
if ($produdoJaExiste){

     Echo
     '<h2 class=text-danger>' 
     .

     '
     <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="currentColor" class="bi bi-ban" viewBox="0 0 16 16">
  <path d="M15 8a6.97 6.97 0 0 0-1.71-4.584l-9.874 9.875A7 7 0 0 0 15 8M2.71 12.584l9.874-9.875a7 7 0 0 0-9.874 9.874ZM16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0"/>
</svg>
     '
     .

     'PRODUTO FOI INFORMADO ANTES, IMPOSSIBILITANDO BUSCAR DADOS SOBRE O MESMO' . '</h2>' . '<p>'   . '<p>'  ;
}else{

if($seChave){?>

<tr style="background-color: orange;">

<?php }else{ ?>

    <tr style="background-color: ;">

<?php } ?>

<td><?php echo round($linha[17]);?></td>

<td><?php echo $linha[0];?></td>

<td><?php echo $linha[16];?></td>

<?php if (($linha[2] == '1910') || ($linha[2] == '2910') || ($linha[2] == '1949')){ ?>

<td class="text-danger"><?php echo $linha[2];?> <small> <i> </i>Bofinicação </small> </td>

<?php }else{ ?>
    
<td><?php echo $linha[2];?></td>

<?php } ?>
    <td><?php echo round($linha[3]);?></td>
    <td><?php echo $quantidade1;?> </td>
    <td><?php echo $credito;?></td>
	<td><?php echo round($linha[4] ,4);?></td>

	<td><?php echo round($linha[5],3);?></td>

	<td><?php echo round($linha[6],2);?></td>
    <td><?php echo round($linha[18],2);?></td>

	<td><?php echo round($linha[19],2);?></td>
    
	<td><?php echo round($linha[7],2);?></td>

	<td><?php echo round($linha[8],2);?></td>
	<td><?php echo $linha[9];?></td>
	<td><?php echo $linha[10];?></td>
	<td><?php echo $linha[11];?></td>
	<td><?php echo round($linha[12],2);?></td>
	<td><?php echo round($linha[13],2);?></td>
	<td><?php echo $linha[14];?></td>
	<td><?php echo $linha[15];?></td>


    <td title="preco do produto unitario com st = preco total + st / quantidade"><?php echo $valorTotal3;?></td>
    <td><?php echo $linha[21];?></td>

    <?php if ($credito >= 1){ ?>
        
    <td>
    <a  href="script_php/GravarDadosNotas.php?descricao=<?= $linha[1]?>&precocompraunt=<?= $linha[4] ?>&quantidade=<?= $quantidade ?>&sttotal=<?= $linha[14] ?>&stunit=<?=$linha[15]?>&numeronota=<?= $linha[9] ?>&chave=<?= $linha[10] ?>&quantidade=<?= $quantidade ?>&ean=<?=$linha[20] ?>&alic=<?= $linha[6] ?>&cod=<?=$linha[17]?>&fornecedor=<?=$linha[16]?>&icmsitem=<?= $linha[18]?>&loja=<?=$lojaesc?>&icmstotal=<?=$cmsTotal2?>&codcst=<?=$linha[21]?>&cfop=<?=$linha[2]?>" >
    <button type="button" class="btn btn-warning">incluir</button>
    </a>
    <?php }else { ?>
<td>
    SEM CREDITO
    </td>

    <?php } ?>

    </td>
</tr>

<?php }

//FINAL SE  O PRODUTO NAO FOI INFORMADO ANTES
}
?>

</tbody>
</table>

</body>
</html>

<?php include_once 'footer.php' ?>